> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.resources/resources/wisej.resources.componentresourcemanager.md).

# ComponentResourceManager

Namespace: **Wisej.Resources**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides simple functionality for enumerating resources for a component or object.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ComponentResourceManager : ComponentResourceManager
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ComponentResourceManager
    Inherits ComponentResourceManager
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ComponentResourceManager()

Initializes a new instance of the [ComponentResourceManager](/api/wisej.resources/resources/wisej.resources.componentresourcemanager.md) class with default values.

### ![](/files/hsR4ok3152WyAf8J2C1u) ComponentResourceManager(type)

Creates a [ComponentResourceManager](/api/wisej.resources/resources/wisej.resources.componentresourcemanager.md) that looks up resources in satellite assemblies based on information from the specified *type* .

| Name     | Type                                                      | Description                                                                                                                                                                                                                           |
| -------- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **type** | [Type](https://docs.microsoft.com/dotnet/api/system.type) | A [Type](https://docs.microsoft.com/dotnet/api/system.type) from which the [ComponentResourceManager](/api/wisej.resources/resources/wisej.resources.componentresourcemanager.md) derives all information for finding resource files. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)\
  The *type* parameter is null.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.resources/resources/wisej.resources.componentresourcemanager.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
